Subject: Re: bug#60220: 29.0.60; macOS 13.1 crash shortly after starting Emacs

From: Aaron Jensen <[email-masked]>
Date: Thu, 22 Dec 2022 00:09:22 -0500

On Wed, Dec 21, 2022 at 8:29 AM Gerd Möllmann <[email-masked]> wrote:
>
> If I remember that correctly, installed signal handlers don’t survive process replacement. The man pages for execve and sigaction should tell.

If I'm reading this correctly, that is the case:

Signals set to be ignored in the calling process are set to be ignored
in the new process. Signals which are set to be caught in the calling
process image are set to default action in the new process image.
Blocked
signals remain blocked regardless of changes to the signal action.
The signal stack is reset to be undefined (see sigaction(2) for more
information).

I have not had a crash today. I have also not restarted Emacs via restart-emacs.

Aaron